clang-tools 8.0.0

Public Member Functions | List of all members
clang::move::ClangMoveAction Class Reference

`#include <ClangMove.h>`

Inheritance diagram for clang::move::ClangMoveAction:
[legend]
Collaboration diagram for clang::move::ClangMoveAction:
[legend]

## Public Member Functions
| ClangMoveAction (ClangMoveContext *const Context, DeclarationReporter *const Reporter)
| ~ClangMoveAction () override=default
std::unique_ptr< clang::ASTConsumer > | CreateASTConsumer (clang::CompilerInstance &Compiler, llvm::StringRef InFile) override

## Detailed Description

Definition at line 203 of file ClangMove.h.

## Constructor & Destructor Documentation

## ◆ ClangMoveAction()

clang::move::ClangMoveAction::ClangMoveAction | ( | ClangMoveContext *const | Context,
|  | DeclarationReporter *const | Reporter
| ) |  |
| inline

Definition at line 205 of file ClangMove.h.

## ◆ ~ClangMoveAction()

clang::move::ClangMoveAction::~ClangMoveAction | ( |  | ) |
| override default

## Member Function Documentation

## ◆ CreateASTConsumer()

std::unique_ptr< ASTConsumer > clang::move::ClangMoveAction::CreateASTConsumer | ( | clang::CompilerInstance & | Compiler,
|  | llvm::StringRef | InFile
| ) |  |
| override

Definition at line 479 of file ClangMove.cpp.

The documentation for this class was generated from the following files:

- ClangMove.h
- ClangMove.cpp